Bug 12485 - fde leak in messaging_ctdbd_init_internal
fde leak in messaging_ctdbd_init_internal
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Clustering
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-27 08:23 UTC by Ralph Böhme
Modified: 2017-01-10 08:20 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.5 cherry-picked from master (1.92 KB, patch)
2016-12-29 12:10 UTC, Ralph Böhme
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-12-27 08:23:10 UTC
When reinitializing the ctdb messaging subsystem we don't free the ctdb connection fde.
Comment 1 Ralph Böhme 2016-12-29 12:10:51 UTC
Created attachment 12779 [details]
Patch for 4.5 cherry-picked from master
Comment 2 David Disseldorp 2017-01-02 13:51:07 UTC
Reassigning to Karo - please merge for 4.5.next.
Comment 3 Karolin Seeger 2017-01-09 08:18:33 UTC
(In reply to David Disseldorp from comment #2)
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2017-01-10 08:20:42 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!